--==========================================================================================================================
-- By: p0kiehl 
-- Maps: Create new PW6 map sizes based on standard maps, with GridWidth and GridHeight multiplied by 1.15 and rounded to
-- nearest even integer. 
--==========================================================================================================================
--Vanilla Map Sizes
INSERT INTO Types
		(Type,						Kind)
VALUES	('MAPSIZE_PW6_DUEL',		'KIND_MAPSIZE'),
		('MAPSIZE_PW6_TINY',		'KIND_MAPSIZE'),
		('MAPSIZE_PW6_SMALL',		'KIND_MAPSIZE'),
		('MAPSIZE_PW6_STANDARD',	'KIND_MAPSIZE'),
		('MAPSIZE_PW6_LARGE',		'KIND_MAPSIZE'),
		('MAPSIZE_PW6_HUGE',		'KIND_MAPSIZE');

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_DUEL',	'LOC_MAPSIZE_PW6_DUEL_NAME',			'LOC_MAPSIZE_PW6_DUEL_DESCRIPTION',		DefaultPlayers,		NumNaturalWonders,		'50',			'30',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_DUEL';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_TINY',	'LOC_MAPSIZE_PW6_TINY_NAME',			'LOC_MAPSIZE_PW6_TINY_DESCRIPTION',		DefaultPlayers,		NumNaturalWonders,		'70',			'44',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_TINY';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_SMALL',	'LOC_MAPSIZE_PW6_SMALL_NAME',		'LOC_MAPSIZE_PW6_SMALL_DESCRIPTION',	DefaultPlayers,		NumNaturalWonders,		'86',			'52',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_SMALL';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_STANDARD',	'LOC_MAPSIZE_PW6_STANDARD_NAME',	'LOC_MAPSIZE_PW6_STANDARD_DESCRIPTION',	DefaultPlayers,		NumNaturalWonders,		'98',			'62',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_STANDARD';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_LARGE',	'LOC_MAPSIZE_PW6_LARGE_NAME',		'LOC_MAPSIZE_PW6_LARGE_DESCRIPTION',	DefaultPlayers,		NumNaturalWonders,		'112',			'70',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_LARGE';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_HUGE',		'LOC_MAPSIZE_PW6_HUGE_NAME',		'LOC_MAPSIZE_PW6_HUGE_DESCRIPTION',		DefaultPlayers,		NumNaturalWonders,		'122',			'76',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_HUGE';

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_DUEL',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_DUEL'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_TINY',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_TINY'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_SMALL',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_SMALL'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_STANDARD',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_STANDARD'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_LARGE',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_LARGE'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_HUGE',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_HUGE'; 

--p0kiehl's Larger Map Sizes
INSERT INTO Types
		(Type,					Kind)
SELECT	'MAPSIZE_PW6_MASSIVE',	'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_MASSIVE';

INSERT INTO Types
		(Type,					Kind)
SELECT	'MAPSIZE_PW6_GIGANTIC',	'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_GIGANTIC';

INSERT INTO Types
		(Type,					Kind)
SELECT	'MAPSIZE_PW6_COLOSSAL',	'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_COLOSSAL';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_MASSIVE',	'LOC_MAPSIZE_PW6_MASSIVE_NAME',		'LOC_MAPSIZE_PW6_MASSIVE_DESCRIPTION',	DefaultPlayers,		NumNaturalWonders,		'148',			'92',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_MASSIVE';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_GIGANTIC',	'LOC_MAPSIZE_PW6_GIGANTIC_NAME',	'LOC_MAPSIZE_PW6_GIGANTIC_DESCRIPTION',	DefaultPlayers,		NumNaturalWonders,		'166',			'104',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_GIGANTIC';

INSERT INTO Maps
		(MapSizeType,			Name,								Description,							DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_COLOSSAL',	'LOC_MAPSIZE_PW6_COLOSSAL_NAME',	'LOC_MAPSIZE_PW6_COLOSSAL_DESCRIPTION',	DefaultPlayers,		NumNaturalWonders,		'184',			'115',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_COLOSSAL';

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_MASSIVE',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_MASSIVE'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_GIGANTIC',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_GIGANTIC'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,			GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_COLOSSAL',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_COLOSSAL'; 

--YNAMP
INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_SMALL21',		'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_SMALL21';

INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_STANDARD21',	'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_STANDARD21';

INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_LARGE21',		'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_LARGE21';

INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_HUGE21',		'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_HUGE21';

INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_ENORMOUS',		'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_ENORMOUS';

INSERT INTO Types	
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_ENORMOUS21',	'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_ENORMOUS21';

INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_GIANT',		'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_GIANT';

INSERT INTO Types
		(Type,						Kind)
SELECT	'MAPSIZE_PW6_LUDICROUS',	'KIND_MAPSIZE' FROM Maps WHERE MapSizeType='MAPSIZE_LUDICROUS';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_SMALL21',		'LOC_MAPSIZE_PW6_SMALL21_NAME',		'LOC_MAPSIZE_PW6_SMALL21_DESCRIPTION',			DefaultPlayers,		NumNaturalWonders,		'96',			'48',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_SMALL21';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_STANDARD21',	'LOC_MAPSIZE_PW6_STANDARD21_NAME',	'LOC_MAPSIZE_PW6_STANDARD21_DESCRIPTION',		DefaultPlayers,		NumNaturalWonders,		'112',			'56',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_STANDARD21';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_LARGE21',		'LOC_MAPSIZE_PW6_LARGE21_NAME',		'LOC_MAPSIZE_PW6_LARGE21_DESCRIPTION',			DefaultPlayers,		NumNaturalWonders,		'124',			'62',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_LARGE21';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_HUGE21',		'LOC_MAPSIZE_PW6_HUGE21_NAME',		'LOC_MAPSIZE_PW6_HUGE21_DESCRIPTION',			DefaultPlayers,		NumNaturalWonders,		'140',			'70',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_HUGE21';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_ENORMOUS',		'LOC_MAPSIZE_PW6_ENORMOUS_NAME',	'LOC_MAPSIZE_PW6_ENORMOUS_DESCRIPTION',			DefaultPlayers,		NumNaturalWonders,		'148',			'92',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_ENORMOUS';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_ENORMOUS21',	'LOC_MAPSIZE_PW6_ENORMOUS21_NAME',	'LOC_MAPSIZE_PW6_ENORMOUS21_DESCRIPTION',		DefaultPlayers,		NumNaturalWonders,		'172',			'86',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_ENORMOUS21';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_GIANT',		'LOC_MAPSIZE_PW6_GIANT_NAME',		'LOC_MAPSIZE_PW6_GIANT_DESCRIPTION',			DefaultPlayers,		NumNaturalWonders,		'212',			'106',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_GIANT';

INSERT INTO Maps
		(MapSizeType,				Name,								Description,									DefaultPlayers,		NumNaturalWonders,		GridWidth,		GridHeight,		PlateValue,		Continents)
SELECT	'MAPSIZE_PW6_LUDICROUS',	'LOC_MAPSIZE_PW6_LUDICROUS_NAME',	'LOC_MAPSIZE_PW6_LUDICROUS_DESCRIPTION',		DefaultPlayers,		NumNaturalWonders,		'230',			'115',			PlateValue,		Continents FROM Maps WHERE MapSizeType='MAPSIZE_LUDICROUS';

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_SMALL21',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_SMALL21'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_STANDARD21',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_STANDARD21'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_LARGE21',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_LARGE21'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_HUGE21',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_HUGE21'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_ENORMOUS',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_ENORMOUS'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_ENORMOUS21',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_ENORMOUS21'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_GIANT',		GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_GIANT'; 

INSERT INTO Map_GreatPersonClasses
		(MapSizeType,				GreatPersonClassType,	MaxWorldInstances)
SELECT	'MAPSIZE_PW6_LUDICROUS',	GreatPersonClassType,	MaxWorldInstances FROM Map_GreatPersonClasses WHERE MapSizeType='MAPSIZE_LUDICROUS'; 
